Bug 893860 - lxde breaking openbox specific features
lxde breaking openbox specific features
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lxde-common (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-09 23:00 EST by Paulo Igor
Modified: 2013-08-01 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:57:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
it's the openbox config file which I link as "lxde-rc,xml" (don't tell me it's because of its nature, because I've tried all the possible solutions without coding, even using lxde-rc.xml as a file) (25.88 KB, text/xml)
2013-01-09 23:00 EST, Paulo Igor
no flags Details

  None (edit)
Description Paulo Igor 2013-01-09 23:00:07 EST
Created attachment 676013 [details]
it's the openbox config file which I link as "lxde-rc,xml" (don't tell me it's because of its nature, because I've tried all the possible solutions without coding, even using lxde-rc.xml as a file)

Description of problem:

LXDE desktop is breaking NextWindow+allDesktops behaviour in openbox windowmanager when it's properly set on ~/.config/lxde-rc.xml. The windows are mapped, but do not raise along the multiple desktops, as they should.


Version-Release number of selected component (if applicable):

Fedora 17


How reproducible:

INstall Fedora 17 LXDE Spin or LXDE desktop and load it in X. Next modify ~/.config/openbox/lxde-rc.xml to make alt-tab (NextWindow) work in all desktops, inserting <allDesktops>yes</allDesktops> option in the proper place. Do an "alt-tab" some times, with windows opened in all desktops.


Steps to Reproduce:
1. Edit the ~/.config/openbox/lxde-rc.xml looking for "NextWindow" keybinding, usually mapped as "alt-tab" key. inserting the option <allDesktops>yes</allDesktops> below </finalactions>
2. After that openbox --reconfigure in a term and try to cycle windows through desktops
3. Sometimes the thing works as expected but repeat that several times. Something messes up the thing an windows begin not to raise when they selected in the menu, and The WM does not give focus to them.

  
Actual results: Even with a fresh install of F17 LXDE Spin it can be reproduced, which I wouldnt like to see in F18.


Expected results: That LXDE allow openbox WM act the way it was designed to be: Cycling windows through different desktops when the option <allDesktops>yes</allDesktops> is set, as it could be done with other LXDE distros, like Lubuntu 12.10 (I've checked that).


Additional info: Go to the login manager and with the same comfig choose only openbox session (not lxde one). The WM acts exactly how we expected before, therefore there's  something in the LXDE messing up the WM.
Comment 1 Christoph Wickert 2013-01-10 04:26:23 EST
(In reply to comment #0)
> Created attachment 676013 [details]
> it's the openbox config file which I link as "lxde-rc,xml" (don't tell me
> it's because of its nature, because I've tried all the possible solutions
> without coding, even using lxde-rc.xml as a file)

I fail to parse that sentence. What do you mean with "which I link as lxde-rc.xml"? Is the typo in the file name intended? What is the name of the config file relative from your homedir? Can you please give me a "ls -l" for it?

> Steps to Reproduce:
> 1. Edit the ~/.config/openbox/lxde-rc.xml looking for "NextWindow"
> keybinding, usually mapped as "alt-tab" key. inserting the option
> <allDesktops>yes</allDesktops> below </finalactions>
> 2. After that openbox --reconfigure in a term and try to cycle windows
> through desktops
> 3. Sometimes the thing works as expected but repeat that several times.
> Something messes up the thing an windows begin not to raise when they
> selected in the menu, and The WM does not give focus to them.

I'm sorry, I cannot follow you. You said you are using the keyboard to cycle windows, so what do you mean with "when they selected in the menu"?

> Actual results: Even with a fresh install of F17 LXDE Spin it can be
> reproduced, which I wouldnt like to see in F18.

Then you should have filed this bug earlier, F18 was already declared gold, I cannot change anything before release.

> Expected results: That LXDE allow openbox WM act the way it was designed to
> be: Cycling windows through different desktops when the option
> <allDesktops>yes</allDesktops> is set, as it could be done with other LXDE
> distros, like Lubuntu 12.10 (I've checked that).

Please explain the problem without referring to other distributions.

As long as you don't state the versions of the problems in question and didn't compare the config files, referring to another distribution is meaningless.

What versions of lxde-common, pcmanfm and openbox are causing the problem for you?
Comment 2 Christoph Wickert 2013-01-27 11:22:54 EST
Ping, please get back to me.
Comment 3 Fedora End Of Life 2013-07-04 01:44:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 12:57:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.